Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlErrorHandler

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.xml.QXmlErrorHandler

All Implemented Interfaces:
  QtJambiInterface, QXmlErrorHandlerInterface

    public abstract class QXmlErrorHandler

extends QtJambiObject
implements QXmlErrorHandlerInterface

The `QXmlErrorHandler` class provides an interface to report errors in XML data. If you want your application to report errors to the user or to perform customized error handling, you should subclass this class.

You can set the error handler with `QXmlReader::setErrorHandler()`.

Errors can be reported using `warning()`, `error()` and `fatalError()`, with the error text being reported with `errorString()`.

See also:
  `QXmlDTDHandler`, `QXmlDeclHandler`, `QXmlContentHandler`, `QXmlEntityResolver`, `QXmlLexicalHandler`, and Introduction to SAX2.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QXmlErrorHandler()` Creates a new QXmlErrorHandler.

Method Summary
`abstract boolean` | `error(QXmlParseException exception)` A reader might use this function to report a recoverable error.
`abstract java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`abstract boolean` | `fatalError(QXmlParseException exception)` A reader must use this function to report a non-recoverable error.
`abstract boolean` | `warning(QXmlParseException exception)` A reader might use this function to report a warning.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlErrorHandler

    public QXmlErrorHandler()

  Creates a new QXmlErrorHandler.

Method Detail

### error

    public abstract boolean error(QXmlParseException exception)

  A reader might use this function to report a recoverable error. A recoverable error corresponds to the definiton of "error" in section 1.2 of the XML 1.0 specification. Details of the error are stored in `exception`.

  The reader must continue to provide normal parsing events after invoking this function.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

  Specified by:
    `error` in interface `QXmlErrorHandlerInterface`

### errorString

    public abstract java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

  Specified by:
    `errorString` in interface `QXmlErrorHandlerInterface`

### fatalError

    public abstract boolean fatalError(QXmlParseException exception)

  A reader must use this function to report a non-recoverable error. Details of the error are stored in `exception`.

  If this function returns true the reader might try to go on parsing and reporting further errors, but no regular parsing events are reported.

  Specified by:
    `fatalError` in interface `QXmlErrorHandlerInterface`

### warning

    public abstract boolean warning(QXmlParseException exception)

  A reader might use this function to report a warning. Warnings are conditions that are not errors or fatal errors as defined by the XML 1.0 specification. Details of the warning are stored in `exception`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString()` to get the error message.

  Specified by:
    `warning` in interface `QXmlErrorHandlerInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD